Bug 507378 - update Scalar::Util to the latest cpan release
update Scalar::Util to the latest cpan release
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: perl (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Marcela Mašláňová
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 11:21 EDT by Marcela Mašláňová
Modified: 2010-05-20 11:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 594089 (view as bug list)
Environment:
Last Closed: 2009-09-02 05:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-06-22 11:21:50 EDT
Description of problem:
Scalar::Util release was updated on cpan which means broken packages dependent on this module after update to the next minor release. This is done by our install paths. The known workaround is keep the same version as it is in cpan.

The install paths will be fixed in next major release. Until then we must update this module.

Version-Release number of selected component (if applicable):
perl-5.8.8-24.el5

How reproducible:
1) install Scalar::Util module from CPAN:

   perl -MCPAN -e shell
   cpan> force install "Scalar::Util"
   cpan> quit

   or

   perl -MCPAN -e 'force install "Scalar::Util"'

   The latter is nicer, but the force would not work for me here,
   don't know why, it reports "Scalar::Util is up to date" :-(

2) reinstall/upgrade the perl package

   rpm -Uvh --force perl-current-or-newer-version.rpm

3) perl -MScalar::Util=dualvar -e 1

The last step should work flawlessly for fixed packages, and report the
following error for the broken ones:

   is only avaliable with the XS version at -e line 0
   BEGIN failed--compilation aborted.
  
Actual results:
FAIL: i386, ia64, ppc
The test fail only on archs, where are same install paths for cpan and rpm.

Expected results:
PASS: on all architectures
Comment 7 errata-xmlrpc 2009-09-02 05:07:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1244.html
Comment 8 Fedora Update System 2009-09-18 16:22:24 EDT
perl-5.10.0-82.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-5.10.0-82.fc11
Comment 9 Fedora Update System 2009-10-06 06:07:21 EDT
perl-5.10.0-82.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.